﻿using System.Collections.Generic;
using System.Windows;
using System.Xml.Linq;
using System.Linq;


namespace Samples
{
    public class ManifestHelper
    {
        public static List<AssemblyPart> GetDeploymentParts(string manifest)
        {
            XElement deploymentRoot = XDocument.Parse(manifest).Root;

            
            List<AssemblyPart> parts = (from n in deploymentRoot.Descendants().Elements() 
                                        select new AssemblyPart() 
                                            { Source = n.Attribute("Source").Value }).ToList();

            return parts;
        }
    }
}
